## NAME

s.hull - Uses a GRASS sites list to produce a convex hull vector map
(GRASS Sites Program)

## SYNOPSIS

s.hull [-as] sites=name vect=name

## DESCRIPTION

s.hull computes the convex hull of a sites list and outputs it in a binary vector file (vect).

## OPTIONS

### Flags:

-a
  Use all sites found in the named sites file, rather than limiting output to sites falling within the current geographic region.
-s
  Automatically run "v.support" on newly created vector file.

### Parameters:

sites=name
  Name of existing sites file.
vect=name
  Name of the output file (binary vector file).

s.hull can be run either non-interactively or interactively. The program will be run non-interactively if the user specifies the name of an existing site list file and a name for a vect file, using the form

    	      s.hull [-a] sites=name1 vect=name2

where name1 is the name of an existing site list file and name2 is the name of vector output file.

Alternately, the user can simply type s.hull on the command line, without program arguments. In this case, the user will be prompted for parameter values using the standard GRASS parser interface described in the manual entry for parser. In either case, v.support should be run on the output (the "-s" flag can be used for that).

## EXAMPLES

## REFERENCES

M. de Berg, M. van Kreveld, M. Overmars, O. Schwarzkopf, (2000). Computational geometry, chapter 1.1, 2-8.

## SEE ALSO

v.support

## AUTHOR

Andrea Aime, Modena, Italy

Last changed: $Date: 2002/01/25 05:45:35 $